%define gkplugindir %{_libdir}/gkrellm2/plugins

Summary: Analog clock plugin for GKrellM
Name: gkrellm-aclock
Version: 0.3.4
Release: 1%{?dist}
License: GPL
Group: Applications/System
URL: http://www.geocities.com/m_muthukumar/gkrellaclock.html
Source: http://www.geocities.com/m_muthukumar/gkrellaclock-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: gkrellm >= 2.2.0
BuildRequires: gkrellm-devel >= 2.2.0

%description
Analog clock plugin for GKrellM, the GNU Krell Monitor.


%prep
%setup -n gkrellAclock-%{version}


%build
%{__make} clean
%{__make} CFLAGS="%{optflags}"


%install
%{__rm} -rf %{buildroot}
%{__install} -D -m 0755 gkrellaclock.so \
    %{buildroot}%{gkplugindir}/gkrellaclock.so


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc ChangeLog README
%{gkplugindir}/gkrellaclock.so


%changelog
* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.3.4-1
- Update to 0.3.4.
- FC6 rebuild.
- Add "make clean" since the sources contain a leftover i386 *.o file.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 0.3.3-4
- FC5 rebuild.

* Wed Feb  8 2006 Matthias Saou <http://freshrpms.net/> 0.3.3-3
- Rebuild for new gcc/glibc.

* Wed Aug 17 2005 Matthias Saou <http://freshrpms.net/> 0.3.3-2
- Rebuild against new libcairo.

* Tue Jul 12 2005 Matthias Saou <http://freshrpms.net/> 0.3.3-1
- Initial RPM release, split out from my old gkrellm-plugins package.

